NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.AME.MountingInterfaceBuilder Class Reference

Builder class for creating mounting interface object in NXOpen.Part More...

Inheritance diagram for NXOpen.AME.MountingInterfaceBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FixingPolicy { Point, Face }
 Represents component fixing type More...
 
enum  InterfaceType { Fixing, ComponentReceptacle }
 Represents mounting interface type More...
 
enum  ReceptaclePolicy { Fixed, AxisMovement, PlaneMovement }
 Represents component receptacle type More...
 

Public Member Functions

unsafe void AddInterface ()
 Adds a NXOpen.AME.MountingInterface object More...
 
unsafe void RemoveInterfaces (string[] mountingInterfaces)
 Delete input NXOpen.AME.MountingInterface objects More...
 
unsafe void SetDefaultFixingInterface (string fixingName)
 Sets input NXOpen.AME.MountingInterface as default More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Direction DirectionOfInterface [get, set]
 Returns or sets the direction of interface More...
 
unsafe
NXOpen.AME.MountingInterfaceBuilder.FixingPolicy 
FixingType [get, set]
 Returns or sets the NXOpen.AME.MountingInterfaceBuilder.FixingPolicy More...
 
unsafe
NXOpen.AME.MountingInterfaceBuilder.InterfaceType 
MountingInterfaceType [get, set]
 Returns or sets the NXOpen.AME.MountingInterfaceBuilder.InterfaceType More...
 
unsafe string Name [get, set]
 Returns or sets the name More...
 
unsafe NXOpen.Direction ParallelReferenceObject [get, set]
 Returns or sets the parallel reference object More...
 
unsafe
NXOpen.AME.MountingInterfaceBuilder.ReceptaclePolicy 
ReceptacleType [get, set]
 Returns or sets the NXOpen.AME.MountingInterfaceBuilder.ReceptaclePolicy More...
 
unsafe NXOpen.ScCollector SpecifyFace [get, set]
 Returns or sets the specify face More...
 
unsafe NXOpen.SelectTaggedObject SpecifyLine [get]
 Returns the specify line More...
 
unsafe NXOpen.Point SpecifyPoint [get, set]
 Returns or sets the specify point More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder class for creating mounting interface object in NXOpen.Part

To create a new instance of this class, use NXOpen.AME.AMEManager.CreateMountingInterfaceBuilder

Default values.

Property Value

FixingType

Point

MountingInterfaceType

Fixing

ReceptacleType

Fixed

Created in NX12.0.0

Member Enumeration Documentation

Represents component fixing type

Enumerator
Point 
Face 

Represents mounting interface type

Enumerator
Fixing 
ComponentReceptacle 

Represents component receptacle type

Enumerator
Fixed 
AxisMovement 
PlaneMovement 

Member Function Documentation

unsafe void NXOpen.AME.MountingInterfaceBuilder.AddInterface ( )
inline

Adds a NXOpen.AME.MountingInterface object

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe void NXOpen.AME.MountingInterfaceBuilder.RemoveInterfaces ( string[]  mountingInterfaces)
inline

Delete input NXOpen.AME.MountingInterface objects

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
mountingInterfaces
unsafe void NXOpen.AME.MountingInterfaceBuilder.SetDefaultFixingInterface ( string  fixingName)
inline

Sets input NXOpen.AME.MountingInterface as default

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fixingName

Property Documentation

unsafe NXOpen.Direction NXOpen.AME.MountingInterfaceBuilder.DirectionOfInterface
getset

Returns or sets the direction of interface

Created in NX12.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.MountingInterfaceBuilder.FixingPolicy NXOpen.AME.MountingInterfaceBuilder.FixingType
getset

Returns or sets the NXOpen.AME.MountingInterfaceBuilder.FixingPolicy

Created in NX12.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.MountingInterfaceBuilder.InterfaceType NXOpen.AME.MountingInterfaceBuilder.MountingInterfaceType
getset

Returns or sets the NXOpen.AME.MountingInterfaceBuilder.InterfaceType

Created in NX12.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe string NXOpen.AME.MountingInterfaceBuilder.Name
getset

Returns or sets the name

Created in NX12.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.Direction NXOpen.AME.MountingInterfaceBuilder.ParallelReferenceObject
getset

Returns or sets the parallel reference object

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.MountingInterfaceBuilder.ReceptaclePolicy NXOpen.AME.MountingInterfaceBuilder.ReceptacleType
getset

Returns or sets the NXOpen.AME.MountingInterfaceBuilder.ReceptaclePolicy

Created in NX12.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.ScCollector NXOpen.AME.MountingInterfaceBuilder.SpecifyFace
getset

Returns or sets the specify face

Created in NX12.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.SelectTaggedObject NXOpen.AME.MountingInterfaceBuilder.SpecifyLine
get

Returns the specify line

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.Point NXOpen.AME.MountingInterfaceBuilder.SpecifyPoint
getset

Returns or sets the specify point

Created in NX12.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.